The ASN1_TFLG_COMBINE implementation... CVE-2015-3195 CNNVD-201512-075

5.0 AV AC AU C I A
发布: 2015-12-06
修订: 2019-09-10

OpenSSL是OpenSSL团队开发的一个开源的能够实现安全套接层(SSL v2/v3)和安全传输层(TLS v1)协议的通用加密库,它支持多种加密算法,包括对称密码、哈希算法、安全散列算法等。 OpenSSL的crypto/asn1/tasn_dec.c文件中的ASN1_TFLG_COMBINE实现过程中存在安全漏洞,该漏洞源于程序没有正确处理畸形的X509_ATTRIBUTE数据引发的错误。远程攻击者可通过在PKCS#7或CMS应用程序中触发解码失败利用该漏洞获取进程内存中的敏感信息。以下版本受到影响:OpenSSL 0.9.8zh之前版本,1.0.0t之前1.0.0版本,1.0.1q之前1.0.1版本,1.0.2e之前1.0.2版本。

0%
暂无可用Exp或PoC
当前有107条受影响产品信息